Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt
Class QtPropertyManager

    java.lang.Object
      com.trolltech.qt.QtPropertyManager

Deprecated.

    @Deprecated
    public class QtPropertyManager

extends java.lang.Object

This class has been deprecated, and will be removed from the next minor release of Qt Jambi. Use QObject.property() and QObject.setProperty() to access properties.

Nested Class Summary
`static class` | `QtPropertyManager.Entry` Deprecated. The Entry class is used to keep information about a property.

Constructor Summary
`QtPropertyManager()` Deprecated. This is a JambiDoclet generated javadoc comment for com.trolltech.qt.QtPropertyManager.

Method Summary
`static java.util.HashMap<java.lang.String,QtPropertyManager.Entry>` | `findProperties(java.lang.Class cl)` Deprecated. Returns the properties of class `cl`.
`static java.util.HashMap<java.lang.String,QtPropertyManager.Entry>` | `findPropertiesRecursive(java.lang.Class cl)` Deprecated. Returns a HashMap of properties declared by `cl` and its ancestors.
`static java.lang.Object` | `readProperty(java.lang.Object object, java.lang.String name)` Deprecated. Returns the value of the proprty `name` of `object`.
`static void` | `resetProperty(java.lang.Object object, java.lang.String name)` Deprecated. Resets the property `name` in `object`.
`static void` | `writeProperty(java.lang.Object object, java.lang.String name, java.lang.Object value)` Deprecated. Sets the `value` of the property `name` in `object`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QtPropertyManager

    public QtPropertyManager()

  Deprecated.
  This is a JambiDoclet generated javadoc comment for com.trolltech.qt.QtPropertyManager.

Method Detail

### findPropertiesRecursive

    public static java.util.HashMap<java.lang.String,QtPropertyManager.Entry> findPropertiesRecursive(java.lang.Class cl)

  Deprecated.
  Returns a HashMap of properties declared by `cl` and its ancestors. The map keys are the property names. If two properties have the same name, it is the most direct ancestor (including `cl` itself) that is stored.

### findProperties

    public static java.util.HashMap<java.lang.String,QtPropertyManager.Entry> findProperties(java.lang.Class cl)

  Deprecated.
  Returns the properties of class `cl`. The properties are returned in a HashMap using the property names as keys. The Entry class keeps all information available for a property.

### readProperty

    public static java.lang.Object readProperty(java.lang.Object object,
                                                java.lang.String name)

  Deprecated.
  Returns the value of the proprty `name` of `object`. It returns null if the property could not be read. If `name` is not a property of `object`, a QPropertyException is thrown.

### writeProperty

    public static void writeProperty(java.lang.Object object,
                                     java.lang.String name,
                                     java.lang.Object value)

  Deprecated.
  Sets the `value` of the property `name` in `object`. It throws QPropertyException if the property is not defined for `object` or the property is not writeable.

### resetProperty

    public static void resetProperty(java.lang.Object object,
                                     java.lang.String name)

  Deprecated.
  Resets the property `name` in `object`. It throws QPropertyException if the property `name` is undefined or the propety cannot be reset.

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD